Bug 1382152 - Review Request: orpie - scientific calculator
Summary: Review Request: orpie - scientific calculator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-05 21:41 UTC by Jared Wallace
Modified: 2016-12-06 18:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-06 18:07:11 UTC
randy: fedora-review+


Attachments (Terms of Use)

Description Jared Wallace 2016-10-05 21:41:18 UTC
Spec URL: https://bitbucket.org/jared-wallace/orpie/src/2abe80a8c1e7e7c7a72056e14d72380828ccd937/SPECS/orpie.spec?at=master&fileviewer=file-view-default

SRPM URL: https://bitbucket.org/jared-wallace/orpie/src/2abe80a8c1e7e7c7a72056e14d72380828ccd937/SRPMS/orpie-1.5.2-1.src.rpm?at=master&fileviewer=file-view-default

Description: Orpie is a full-screen console-based RPN calculator that uses the curses library.  Its operation is similar to that of modern HP calculators, but data entry has been optimized for efficiency on a PC keyboard. Its features include extensive scientific calculator functionality, command completion, and a visible interactive stack.

Fedora Account System Username:jaredwallace

Copr link: https://copr.fedorainfracloud.org/coprs/jaredwallace/Orpie/

Koji build F24: http://koji.fedoraproject.org/koji/taskinfo?taskID=15957709
Koji build F25: http://koji.fedoraproject.org/koji/taskinfo?taskID=15958269

This is my first package, so looks like I'll need a sponsor. There are three warnings from rpmlint. Two appear to be false positive based on:
https://github.com/pelzlpj/orpie/issues/7
and
https://github.com/pelzlpj/orpie/issues/8
The third is because the license is outdated:
https://github.com/pelzlpj/orpie/issues/6

The source required a patch workaround to build:
https://bitbucket.org/jared-wallace/orpie/src/2abe80a8c1e7e7c7a72056e14d72380828ccd937/SOURCES/patch-gsl-mgsl_sf.c.diff?at=master&fileviewer=file-view-default
That in theory removes a tiny bit of functionality, but the code in question is for a pretty obscure feature and doesn't seem to be too impactful. Upstream is aware:
https://github.com/pelzlpj/orpie/issues/1#issuecomment-249069637

Comment 1 Jared Wallace 2016-10-05 21:47:08 UTC
Another side note: packaging guidelines require a bug to be filed when the package in question does not build on a particular architecture. This will not build on armv7hl but I don't see how to file a bug against a package that's not actually in Fedora right now.

Reason for not building is here:
https://kojipkgs.fedoraproject.org//work/tasks/7112/15957112/build.log

Comment 2 Jared Wallace 2016-10-17 22:17:42 UTC
Tried the fedora-review tool, which fails since the original post did not have raw links. So let's fix that.

Spec:https://bitbucket.org/jared-wallace/orpie/raw/2abe80a8c1e7e7c7a72056e14d72380828ccd937/SPECS/orpie.spec

SRPM:https://bitbucket.org/jared-wallace/orpie/raw/2abe80a8c1e7e7c7a72056e14d72380828ccd937/SRPMS/orpie-1.5.2-1.src.rpm

Comment 3 Jared Wallace 2016-10-17 22:42:37 UTC
Since it wasn't made clear, this package was orphaned and retired: https://admin.fedoraproject.org/pkgdb/package/rpms/orpie/

Not sure now if it requires review or not.

Comment 4 Randy Barlow 2016-11-10 21:08:45 UTC
Hello Jared! I'm thrilled that you want to become a Fedora packager, and I'm happy to work with you to get you sponsored. In addition to this package, I'd like to request that you perform practice reviews on 3 other packages that need review. Make sure to mention on those reviews that they are practice reviews so the submitter doesn't get their hopes up too much ☺ You should put links to those three packages here, and I'll go take a look as well. This helps demonstrate that you have a decent command of the packaging guidelines, and is good since once you are a packager you will have the power to approve other packages!

I've taken a look at your package, and it's in pretty good shape. There are just a few things to fix before it meets the required guidelines, and I've also included a few optional suggestions as well. To be clear, I would only require you to fix the items noted in the MUST section below, but the others are nice improvements too. I put notes next to "randy: " to add my own thoughts here and there:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.
  randy: This means that your Release: should be 1%{?dist} instead of just 1.
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.                                                                           
  Note: License file COPYING is not marked as %license                                                               
  See:                                                                                                               
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text                                           
  randy: Instead of marking the COPYYING file as a %doc, use %license COPYING.                                       
- Package does not use a name that already exists.                                                                   
  Note: A package with this name already exists. Please check                                                        
  https://admin.fedoraproject.org/pkgdb/package/orpie                                                                
  See:                                                                                                               
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names                                
  randy: I think this will probably be OK - we'll have to go through the unretiring                                  
         process after getting you sponsored.                                                                        
                                                                                                                     
                                                                                                                     
===== MUST items =====                                                                                               
                                                                                                                     
C/C++:                                                                                                               
[x]: Package does not contain kernel modules.                                                                        
[x]: Package contains no static executables.                                                                         
[x]: Header files in -devel subpackage, if present.                                                                  
[x]: Package does not contain any libtool archives (.la)                                                             
[x]: Rpath absent or only used for internal libs.                                                                    
                                                                                                                     
Generic:                                                                                                             
[x]: Package is licensed with an open-source compatible license and meets                                                                                                                                                                   
     other legal requirements as defined in the legal section of Packaging                                          
     Guidelines.                                                                                                    
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2)",
     "GPL (v2) (with incorrect FSF address)", "Unknown or generated". 105
     files have unknown license. Detailed output of licensecheck in
     /home/rbarlow/reviews/1382152-orpie/licensecheck.txt
     randy: You can and should list all the licenses included in this package in the
            license field. Looks like GPLv2, GPLv2+, and LGPLv2 would be correct.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
     randy: You can just drop that defattr line - the attr you defined is the
            default.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 368640 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

randy:
These are some things I recommend, but they are not required.
[!]: I don't think you need _hardened_build 1, unless you want that for EPEL:
     https://fedoraproject.org/wiki/Changes/Harden_All_Packages
     If you do want it for EPEL, we should do research to find out if it is needed
     there or not (I don't know).

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
     randy: You can just drop %{?_smp_mflags} after make to get this.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in orpie-
     debuginfo
[x]: Package functions as described.
     randy: Seems like a pretty cool tool!
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
     randy: It'd be good to throw a comment over that patch showing a link
            to the upstream issue.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
     randy: It doesn't build on arm, but you explained that and it's OK.
[!]: %check is present and all tests pass.
     randy: I see that you've commented out the tests - do they not pass? I
            recommend trying to get them working, but it's not required.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: orpie-1.5.2-1.x86_64.rpm
          orpie-debuginfo-1.5.2-1.x86_64.rpm
          orpie-1.5.2-1.src.rpm
orpie.x86_64: E: missing-call-to-chdir-with-chroot /usr/bin/orpie
orpie.x86_64: E: missing-call-to-chdir-with-chroot /usr/bin/orpie-curses-keys
orpie.x86_64: E: incorrect-fsf-address /usr/share/doc/orpie/COPYING
3 packages and 0 specfiles checked; 3 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: orpie-debuginfo-1.5.2-1.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
orpie.x86_64: E: missing-call-to-chdir-with-chroot /usr/bin/orpie-curses-keys
orpie.x86_64: E: missing-call-to-chdir-with-chroot /usr/bin/orpie
orpie.x86_64: E: incorrect-fsf-address /usr/share/doc/orpie/COPYING
2 packages and 0 specfiles checked; 3 errors, 0 warnings.



Requires
--------
orpie (rpmlib, GLIBC filtered):
    config(orpie)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgsl.so.19()(64bit)
    libgslcblas.so.0()(64bit)
    libm.so.6()(64bit)
    libncurses.so.6()(64bit)
    libpthread.so.0()(64bit)
    libtinfo.so.6()(64bit)
    rtld(GNU_HASH)

orpie-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
orpie:
    config(orpie)
    orpie
    orpie(x86-64)

orpie-debuginfo:
    orpie-debuginfo
    orpie-debuginfo(x86-64)



Source checksums
----------------
https://github.com/pelzlpj/orpie/releases/download/release-1.5.2/orpie-1.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : de557fc7f608c6cb1f44a965d3ae07fc6baf2b02a0d7994b89d6a0e0d87d3d6d
  CHECKSUM(SHA256) upstream package : de557fc7f608c6cb1f44a965d3ae07fc6baf2b02a0d7994b89d6a0e0d87d3d6d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1382152
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Jared Wallace 2016-11-11 19:25:52 UTC
Thanks :)

I'll get to work on these items and the reviews immediately.

Comment 7 Randy Barlow 2016-11-11 22:08:31 UTC
Hey Jared! The changes look nice! Two things I noticed in your changelog:

* There's a line that says you added the multi-core, but as you noted it doesn't build that way so it's not actually added. I think it's OK to not build multi-core since that doesn't work, so let's just drop that changelog entry.
* Typically people add a space between changelog entries for readability, so adding one more newline before the Wed Oct 05 line would improve readability. This is just a suggestion of mine, not a formal requirement, so it's up to you.

Let's fix at least that first one, and then I think this'll be ready to pass review. Then we can look at some package reviews.

Comment 8 Jared Wallace 2016-11-11 22:42:58 UTC
First unofficial review here:
https://bugzilla.redhat.com/show_bug.cgi?id=1392599#c2

Comment 10 Jared Wallace 2016-11-12 00:20:40 UTC
Second unofficial review:
https://bugzilla.redhat.com/show_bug.cgi?id=1376511#c6

This is far from done though, several issues that need to be tackled before review continues.

Comment 11 Randy Barlow 2016-11-14 15:58:32 UTC
Hello Jared! The new spec looks good. When making changes, it's customary to also rebuild the SRPM when rebuilding the spec, and then to make a formatted BZ comment here so that fedora-review can find and compare them:

Spec URL: <URL>
SRPM URL: <URL>

Can you rebuild the SRPM with the new spec and link them in a comment here? I think this spec is in pretty good shape. I'll take a look at the reviews you did soon.

Comment 13 Randy Barlow 2016-11-16 20:49:16 UTC
It seems that there is a build failure now. This command fails to build on my Rawhide box:

$ fedora-review -b 1382152

Additionally, I was able to get this build to fail in koji on both Rawhide and F23:

http://koji.fedoraproject.org/koji/taskinfo?taskID=16479303
http://koji.fedoraproject.org/koji/taskinfo?taskID=16479312

It does appear that this build succeeds on Fedora 24:

https://kojipkgs.fedoraproject.org//work/tasks/9306/16479306/build.log

You can navigate to the build.log files on those two Koji links by clicking on the child tasks that are red and then clicking on build.log. For Rawhide:

https://kojipkgs.fedoraproject.org//work/tasks/9306/16479306/build.log

If you don't intend to add this package to F23 we can ignore that failure, but you will need to make sure it works on Rawhide.

Comment 14 Jared Wallace 2016-11-16 22:40:58 UTC
Something changed in rawhide, it would seem. I reverted my git repo back to the initial commit, and tried building that version on Rawhide - and it failed.

I'll do some digging.

Comment 15 Jared Wallace 2016-11-29 23:51:15 UTC
There are two Ocaml related changes in rawhide. This is one:
https://bugzilla.redhat.com/show_bug.cgi?id=1391950
but unfortunately, adding that dependency did not resolve.

The other was the move from Ocaml 4.02 to 4.04, and I think that may be the issue.

I'm setting up a rawhide VM for testing.

Comment 16 Jared Wallace 2016-11-30 03:52:03 UTC
Fixed the issue. Looks like the newer Ocaml exposed some pre-existing issues.

Patched:

gsl/gsl_sf.ml - commented out reference to functions deleted by patch 0
Makefile.in - added two libraries to the GSL_CMO list
gsl/mlgsl_error.c - fixing the original issue seen of an undefined function

Specfile: https://bitbucket.org/jared-wallace/orpie/raw/f71b78e9718793be602ce09e93acefadaec5d368/SPECS/orpie.spec
SRPM: https://bitbucket.org/jared-wallace/orpie/raw/f71b78e9718793be602ce09e93acefadaec5d368/SRPMS/orpie-1.5.2-3.fc24.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16676762

Comment 18 Randy Barlow 2016-11-30 19:43:57 UTC
Hey Jared! We're almost there with this spec file, there's one last thing I think we should do: let's add comments over the Patch# lines in the spec file explaining what each patch is for, and either a) a link to an upstream pull request that has the patch, or b) an explanation why the patch doesn't need to go upstream.

Once you've got that, can you do one more unofficial review?

Comment 19 Randy Barlow 2016-11-30 19:48:52 UTC
P.S. The two reviews you've done so far are great. I especially liked that you took the time to help one of them write a man page!

Comment 21 Randy Barlow 2016-12-01 23:30:21 UTC
Alright, you've got this spec file to the point that I'm willing to mark it as approved! I've left a few notes in there (search for "randy:" for my comments) about some ways you can improve it, but those are all at your option and you can do it after you've got the package in Fedora.

I need to go to dinner right now. When I come back I'll take a look at that third package review you did. If it checks out, I think we'll be ready to mark you as sponsored!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/package/orpie
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names                               
                                                                                                                    
                                                                                                                    
===== MUST items =====                                                                                              
                                                                                                                    
C/C++:                                                                                                              
[x]: Package does not contain kernel modules.                                                                       
[x]: Package contains no static executables.                                                                        
[x]: Header files in -devel subpackage, if present.                                                                 
[x]: Package does not contain any libtool archives (.la)                                                            
[x]: Rpath absent or only used for internal libs.                                                                   
                                                                                                                    
Generic:                                                                                                            
[x]: Package is licensed with an open-source compatible license and meets                                           
     other legal requirements as defined in the legal section of Packaging                                          
     Guidelines.                                                                                                    
[x]: License field in the package spec file matches the actual license.                                             
     Note: Checking patched sources after %prep for licenses. Licenses                                              
     found: "LGPL (v2)", "GPL (v2) (with incorrect FSF address)", "Unknown                                          
     or generated", "*No copyright* GPL", "*No copyright* LGPL", "GPL (v2                                           
     or later) (with incorrect FSF address)", "GPL (v2)". 51 files have                                             
     unknown license. Detailed output of licensecheck in                                                            
     /home/rbarlow/reviews/orpie/licensecheck.txt                                                                   
     randy: I think you can use the word "and" between the licenses. Also,                                          
     you don't need to list "GPLv2" and "GPLv2+".                                                                   
[x]: License file installed when any subpackage combination is installed.                                           
[x]: %build honors applicable compiler flags or justifies otherwise.                                                
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 348160 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
     randy: This is OK since you noted that it breaks the build. I
            recommend reporting this upstream.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in orpie-
     debuginfo
     randy: I think this is OK.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     randy: It looks like the %check section is commented.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: orpie-1.5.2-3.fc26.x86_64.rpm
          orpie-debuginfo-1.5.2-3.fc26.x86_64.rpm
          orpie-1.5.2-3.fc26.src.rpm
orpie.x86_64: W: invalid-license GPLv2 GPLv2+ LGPLv2
orpie.x86_64: E: missing-call-to-chdir-with-chroot /usr/bin/orpie-curses-keys
orpie.x86_64: E: missing-call-to-chdir-with-chroot /usr/bin/orpie
orpie.x86_64: E: incorrect-fsf-address /usr/share/licenses/orpie/COPYING
orpie-debuginfo.x86_64: W: invalid-license GPLv2 GPLv2+ LGPLv2
orpie.src: W: invalid-license GPLv2 GPLv2+ LGPLv2
orpie.src:76: W: macro-in-%changelog %doc
orpie.src:76: W: macro-in-%changelog %license
3 packages and 0 specfiles checked; 3 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: orpie-debuginfo-1.5.2-3.fc26.x86_64.rpm
orpie-debuginfo.x86_64: W: invalid-license GPLv2 GPLv2+ LGPLv2
1 packages and 0 specfiles checked; 0 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
orpie.x86_64: W: invalid-license GPLv2 GPLv2+ LGPLv2
orpie.x86_64: E: missing-call-to-chdir-with-chroot /usr/bin/orpie
orpie.x86_64: E: missing-call-to-chdir-with-chroot /usr/bin/orpie-curses-keys
orpie.x86_64: E: incorrect-fsf-address /usr/share/licenses/orpie/COPYING
orpie-debuginfo.x86_64: W: invalid-license GPLv2 GPLv2+ LGPLv2
2 packages and 0 specfiles checked; 3 errors, 2 warnings.



Requires
--------
orpie (rpmlib, GLIBC filtered):
    config(orpie)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgsl.so.19()(64bit)
    libgslcblas.so.0()(64bit)
    libm.so.6()(64bit)
    libncurses.so.6()(64bit)
    libpthread.so.0()(64bit)
    libtinfo.so.6()(64bit)
    rtld(GNU_HASH)

orpie-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
orpie:
    config(orpie)
    orpie
    orpie(x86-64)

orpie-debuginfo:
    orpie-debuginfo
    orpie-debuginfo(x86-64)



Source checksums
----------------
https://github.com/pelzlpj/orpie/releases/download/release-1.5.2/orpie-1.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : de557fc7f608c6cb1f44a965d3ae07fc6baf2b02a0d7994b89d6a0e0d87d3d6d
  CHECKSUM(SHA256) upstream package : de557fc7f608c6cb1f44a965d3ae07fc6baf2b02a0d7994b89d6a0e0d87d3d6d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -rn orpie-1.5.2-3.fc24.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 22 Randy Barlow 2016-12-02 02:57:37 UTC
Hey Jared! I looked at your third review and it looks good. The package is approved, so the last step is that I need to sponsor you into the packager's group. One thing that I am supposed to do is to make sure that your bugzilla account's e-mail address is the same as the e-mail address listed on your FAS account[0]. It seems that they are currently mismatched. Can you update one or the other so they match?

Unfortunately I am about to go on a short vacation, so I won't be able to sponsor you until Monday next week. However, it's a short process once the e-mail addresses match!


[0] https://fedoraproject.org/wiki/How_to_sponsor_a_new_contributor?rd=PackageMaintainers/SponsorProcess#Sponsoring_Someone_for_Fedora_Package_Collection

Comment 23 Randy Barlow 2016-12-05 16:49:25 UTC
Hello Jared! I see that your e-mail addresses now match, so I have sponsored you as a packager. Congratulations! You can now proceed with the next step here:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

If you have any questions about being a Fedora maintainer now or in the future, feel free to reach out to me by e-mail or IRC (I'm bowlofeggs on Freenode). I'm happy to help out! Also, you can add me as a co-maintainer on this package if you like. Go forth and do good with your packager powers!


Note You need to log in before you can comment on or make changes to this bug.